Subject: Re: [PATCHv4 net] ipv6: do not match device when remove source route

From: Jakub Kicinski <[email-masked]>
Date: Mon, 31 Jul 2023 13:29:11 -0700

On Tue, 25 Jul 2023 18:21:37 +0800 Hangbin Liu wrote:
> After deleting an IPv6 address on an interface and cleaning up the
> related preferred source entries, it is important to ensure that all
> routes associated with the deleted address are properly cleared. The
> current implementation of rt6_remove_prefsrc() only checks the preferred
> source addresses bound to the current device. However, there may be
> routes that are bound to other devices but still utilize the same
> preferred source address.

David, Ido, where do you stand on this patch? The discussion on v3
continued after this was posted and we got no review tags...